<template>
     <v-card
     v-if="episode != null"
    class="mx-auto my-12"
  >
    <v-card-title><h1>{{episode.name}}</h1></v-card-title>

    <v-card-text>
     <div class="my-4 text-subtitle-1">
        Air date : {{episode.air_date}}
      </div>

      <div>Episode : <v-chip>{{episode.episode}}</v-chip></div>
    </v-card-text>

    <v-divider class="mx-4"></v-divider>

    <v-card-title>Characters</v-card-title>

    <v-card-text>
      <v-chip-group 
        active-class="deep-purple accent-4 white--text"
        
      >
        <v-chip v-for="character in episode.characters" :key="character" @click="openCharacter(character)">
            {{getCharacterId(character)}}
        </v-chip>
      </v-chip-group>
    </v-card-text>

    <v-card-actions>
    </v-card-actions>
  </v-card>
</template>
<script>
export default {
  components: { },
    name:"episode",
    mounted(){
        this.loadEpisode(this.$route.query.id);
    },
    data: () => ({
        episode: null,
    }),
    methods: {
        async loadEpisode(id){
            this.episode = await this.$axios.$get('https://rickandmortyapi.com/api/episode/' + id);
        },
        getCharacterId(character){
            return character.replace("https://rickandmortyapi.com/api/character/", "");
        },
        openCharacter(character){
            this.$router.push({name: 'characters',query: { id: character.replace("https://rickandmortyapi.com/api/character/", "") },});
        }
    },
    computed:{
    }
}
</script>
<style>
</style>